Skip to navigation

Update LLM Provider's ApiKey

View as Markdown

Update LLM Provider’s ApiKey. api_key and auth_config are mutually exclusive: setting a valid auth_config on a provider that holds a static api_key clears the stored key; send auth_config as an empty object to clear the recipe and switch back to a static key

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
api_keystringOptional
namestringOptional0-150 characters
provider_namestringOptional0-150 characters

Provider name - can be set to migrate legacy custom LLM or Bedrock providers to the new multi-provider format. Once set, it cannot be changed. Should only be set for custom LLM and Bedrock providers.

headersmap from strings to stringsOptional
configurationmap from strings to stringsOptional
base_urlstringOptional
auth_configobjectOptional

Dynamic token auth recipe. Send the 'SECRET' sentinel as a credential value to keep the stored secret; send an empty object to clear the auth config.

Response

No Content

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error